ClonableImpl< DERIVED, BASE > Class Template Reference

Base class for identifying algorithm. More...

`#include <simple.h>`

Inheritance diagram for ClonableImpl< DERIVED, BASE >:

## Public Member Functions

Clonable * | Clone () const
| Create a copy of this object.

## Detailed Description

template<class DERIVED, class BASE>
class ClonableImpl< DERIVED, BASE >

Base class for identifying algorithm.

Template Parameters

  BASE | base class from which to derive
  DERIVED | class which to clone

Definition at line 25 of file simple.h.

## Member Function Documentation

## Clone()

template<class DERIVED, class BASE>

Clonable * ClonableImpl< DERIVED, BASE >::Clone | ( |  | ) | const

inline

Create a copy of this object.

Returns
  a copy of this object

The caller is responsible for freeing the object.

Definition at line 31 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h